-----------------------------------------------------------------------------
-- |
-- Module: System.Debian.Binary.Utils.Temp
-- Copyright: (c) 2008 Marco Túlio Gontijo e Silva <marcot@riseup.net>
-- License: Simple permissive license (see LICENSE)
--
-- Maintainer: Marco Túlio Gontijo e Silva <marcot@riseup.net>
-- Stability: unstable
-- Portability: unportable
--
-- This module provides utility functions to work with Debian binary packages.
-----------------------------------------------------------------------------

module
  System.Debian.Binary.Utils
  (module System.Debian.Binary.Utils.Temp, strictReadFile)
  where

import System.Debian.Binary.Utils.Temp

-- | Read a @file@ strictly.
strictReadFile
  :: FilePath -- ^ @file@
  -> IO String
strictReadFile path
  = do
    file <- readFile path
    length file `seq` return file

